-- phpMyAdmin SQL Dump
-- version 4.1.6
-- http://www.phpmyadmin.net
--
-- Host: 127.0.0.1
-- Generation Time: Aug 15, 2017 at 02:24 AM
-- Server version: 5.6.16
-- PHP Version: 5.5.9

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `techfun`
--

-- --------------------------------------------------------

--
-- Table structure for table `category`
--

CREATE TABLE IF NOT EXISTS `category` (
  `id` int(5) NOT NULL AUTO_INCREMENT,
  `category_name` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=sjis AUTO_INCREMENT=9 ;

--
-- Dumping data for table `category`
--

INSERT INTO `category` (`id`, `category_name`) VALUES
(1, 'CD & DVD & Game'),
(2, 'Books'),
(3, 'PC & Peripheral Equipment'),
(4, 'Home Electronics & AV & camera'),
(5, 'Interior & furniture'),
(6, 'Kitchen & Daily Necessities'),
(7, 'Fashion'),
(8, 'Food');

-- --------------------------------------------------------

--
-- Table structure for table `member`
--

CREATE TABLE IF NOT EXISTS `member` (
  `member_id` char(5) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  `birthday` date DEFAULT NULL,
  `gender` char(1) DEFAULT NULL,
  `zipcd` varchar(10) DEFAULT NULL,
  `prefecture` varchar(15) DEFAULT NULL,
  `city` varchar(20) DEFAULT NULL,
  `oaddress` varchar(100) DEFAULT NULL,
  `tel` varchar(20) DEFAULT NULL,
  PRIMARY KEY (`member_id`)
) ENGINE=InnoDB DEFAULT CHARSET=sjis;

--
-- Dumping data for table `member`
--

INSERT INTO `member` (`member_id`, `first_name`, `last_name`, `email`, `birthday`, `gender`, `zipcd`, `prefecture`, `city`, `oaddress`, `tel`) VALUES
('00001', 'Paul', 'Lion', 'paul@test.jp', '1977-12-04', '1', '111-2322', 'Tokyo', 'Chiyoda ward', 'Sakuramachi 1-6-5', '03-5886-2222'),
('00002', 'Anne', 'Clod', 'anne@test.com', '1988-04-04', '1', '100-9999', 'Tokyo', 'Chiyoda ward', 'Akihabara 2-6-801', NULL),
('00003', 'George', 'Mack', 'george@test.jp', '1975-01-01', '2', '222-5555', 'Saitama', 'Iruma city', 'Iruma 555', '090-8888-5555'),
('00004', 'Benjamin', 'Austin', 'benjamin@test.co.jp', '1985-03-09', '1', '100-7777', 'Tokyo', 'Chiyoda ward', 'Kanda-Minami 5-9-6', '090-7777-6666'),
('00005', 'Cherry', 'Barret', 'cherry@test.com', '1965-08-20', '1', '333-6666', 'Saitama', 'Asaka city', 'Asaka-nishi 2-55-6-101', '070-6667-1111'),
('00006', 'Michael', 'Erickson', 'michael@test.ne.jp', '1958-06-03', '2', '888-6666', 'Ibaraki', 'Koga city', 'Nakamachi 1-33', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `product`
--

CREATE TABLE IF NOT EXISTS `product` (
  `product_id` char(10) NOT NULL,
  `product_name` varchar(255) NOT NULL,
  `category_id` int(11) NOT NULL,
  `price` int(11) NOT NULL,
  PRIMARY KEY (`product_id`),
  KEY `category_id` (`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=sjis;

--
-- Dumping data for table `product`
--

INSERT INTO `product` (`product_id`, `product_name`, `category_id`, `price`) VALUES
('0000000001', 'The Best of Chopin', 1, 3150),
('0000000002', 'The Piano Masterpieces', 1, 3000),
('0000000003', 'The Best 10', 1, 3058),
('0000000004', 'A Song of Sky', 1, 3000),
('0000000005', 'Master Java in 3 days', 2, 3500),
('0000000006', 'Easy Java', 2, 2000),
('0000000007', 'SQL for Beginners', 2, 2500),
('0000000008', 'Learning HTML', 2, 1500),
('0000000009', 'Great Rice Cooker', 4, 53000),
('0000000010', 'Grill Pot', 4, 10000),
('0000000011', 'Electric Oven Range', 4, 28000),
('0000000012', 'Drum-Type Washer-Driers', 4, 168000),
('0000000013', 'Plasma Television', 4, 278000),
('0000000014', 'Laundry Soap', 6, 1980),
('0000000015', 'Body Soap', 6, 455);

-- --------------------------------------------------------

--
-- Table structure for table `vip_member`
--

CREATE TABLE IF NOT EXISTS `vip_member` (
  `member_id` char(5) NOT NULL,
  `first_name` varchar(50) NOT NULL,
  `last_name` varchar(100) NOT NULL,
  `email` varchar(255) NOT NULL,
  PRIMARY KEY (`member_id`)
) ENGINE=InnoDB DEFAULT CHARSET=sjis;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `product`
--
ALTER TABLE `product`
  ADD CONSTRAINT `product_ibfk_1` FOREIGN KEY (`category_id`) REFERENCES `category` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
